summaryrefslogtreecommitdiff
path: root/uninit.d/01prompt
diff options
context:
space:
mode:
Diffstat (limited to 'uninit.d/01prompt')
-rwxr-xr-xuninit.d/01prompt18
1 files changed, 18 insertions, 0 deletions
diff --git a/uninit.d/01prompt b/uninit.d/01prompt
new file mode 100755
index 0000000..e642a82
--- /dev/null
+++ b/uninit.d/01prompt
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+
+echo "** Warning: etckeeper uninit will DESTROY all recorded history for $ETCKEEPER_DIR"
+echo "** This includes deleting the $VCS repository and ignore file."
+echo ""
+printf "Are you sure you want to do this? [yN] "
+read answer
+case "$answer" in
+ Y|y|yes|YES)
+ echo "Proceeding.."
+ exit 0
+ ;;
+ *)
+ echo "Aborting etckeeper uninit."
+ exit 1
+ ;;
+esac